<?xml version='1.0' encoding='UTF-8'?><profile><name>Scala</name><language>scala</language><rules><rule><repositoryKey>scala</repositoryKey><key>ParsingError</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S100</key><priority>MINOR</priority><parameters><parameter><key>format</key><value>^([a-z][a-zA-Z0-9]*+(_[^a-zA-Z0-9]++)?+|[^a-zA-Z0-9]++)$</value></parameter></parameters></rule><rule><repositoryKey>scala</repositoryKey><key>S101</key><priority>MINOR</priority><parameters><parameter><key>format</key><value>^[A-Z][a-zA-Z0-9]*$</value></parameter></parameters></rule><rule><repositoryKey>scala</repositoryKey><key>S1066</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S107</key><priority>MAJOR</priority><parameters><parameter><key>Max</key><value>7</value></parameter></parameters></rule><rule><repositoryKey>scala</repositoryKey><key>S108</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1125</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1134</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1135</key><priority>INFO</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1144</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S117</key><priority>MINOR</priority><parameters><parameter><key>format</key><value>^[_a-zA-Z][a-zA-Z0-9]*$</value></parameter></parameters></rule><rule><repositoryKey>scala</repositoryKey><key>S1172</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1186</key><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1192</key><priority>CRITICAL</priority><parameters><parameter><key>threshold</key><value>3</value></parameter></parameters></rule><rule><repositoryKey>scala</repositoryKey><key>S125</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1313</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1479</key><priority>MAJOR</priority><parameters><parameter><key>maximum</key><value>30</value></parameter></parameters></rule><rule><repositoryKey>scala</repositoryKey><key>S1481</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1656</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1763</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1764</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1862</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1871</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S1940</key><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S2068</key><priority>BLOCKER</priority><parameters><parameter><key>credentialWords</key><value>password,passwd,pwd</value></parameter></parameters></rule><rule><repositoryKey>scala</repositoryKey><key>S3776</key><priority>CRITICAL</priority><parameters><parameter><key>threshold</key><value>15</value></parameter></parameters></rule><rule><repositoryKey>scala</repositoryKey><key>S3923</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S4144</key><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>scala</repositoryKey><key>S4663</key><priority>MINOR</priority><parameters/></rule></rules></profile>